<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IncrementRevision Method (IEdmRevisionMgr)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr Interface : IncrementRevision Method (IEdmRevisionMgr)

Visual Basic
C#
C++/CLI

lFileID
  ID of file on which to increment the revision

Increments the revision of the specified file.

# Syntax

Visual Basic |
--- | ---

    Sub IncrementRevision( _
       ByVal lFileID As System.Integer _
    )

C# |
--- | ---

    void IncrementRevision(
       System.int lFileID
    )

C++/CLI |
--- | ---

    void IncrementRevision(
    &   System.int lFileID
    )

#### Parameters

lFileID
  ID of file on which to increment the revision

# Example

Set Initial Revision (VB.NET)
Set Initial Revision (C#)

# Remarks

If you call IEdmRevisionMgr::SetRevisionCounters before calling this method, the new revision number that gets generated uses the counters that are specified in the call to IEdmRevisionMgr::SetRevisionCounters. If counters have not been explicitly set, the component counters are incremented by one.

The order of calls to IEdmRevisionMgr::SetRevisionCounters and this method does not matter. Calls to this method are always processed after calls to IEdmRevisionMgr::SetRevisionCounters.

After calling this method, call IEdmRevisionMgr::Commit to commit the revision increment to the database.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr Interface
IEdmRevisionMgr Members

# Availability

SOLIDWORKS PDM Professional 2007